Cupti: CUpti_ActivityMemcpyPtoP Struct Reference

# CUpti_ActivityMemcpyPtoP Struct Reference
[CUPTI Activity API]

The activity record for peer-to-peer memory copies. More...

## Data Fields
uint64_t | bytes
uint32_t | contextId
uint8_t | copyKind
uint32_t | correlationId
uint32_t | deviceId
uint32_t | dstContextId
uint32_t | dstDeviceId
uint8_t | dstKind
uint64_t | end
uint8_t | flags
CUpti_ActivityKind | kind
uint32_t | pad
void * | reserved0
uint32_t | srcContextId
uint32_t | srcDeviceId
uint8_t | srcKind
uint64_t | start
uint32_t | streamId

## Detailed Description

This activity record represents a peer-to-peer memory copy (CUPTI_ACTIVITY_KIND_MEMCPY2) but is no longer generated by CUPTI. Peer-to-peer memory copy activities are now reported using the CUpti_ActivityMemcpyPtoP2 activity record..

## Field Documentation

uint64_t CUpti_ActivityMemcpyPtoP::bytes

The number of bytes transferred by the memory copy.

uint32_t CUpti_ActivityMemcpyPtoP::contextId

The ID of the context where the memory copy is occurring.

uint8_t CUpti_ActivityMemcpyPtoP::copyKind

The kind of the memory copy, stored as a byte to reduce record size.

See also:
  CUpti_ActivityMemcpyKind

uint32_t CUpti_ActivityMemcpyPtoP::correlationId

The correlation ID of the memory copy. Each memory copy is assigned a unique correlation ID that is identical to the correlation ID in the driver and runtime API activity record that launched the memory copy.

uint32_t CUpti_ActivityMemcpyPtoP::deviceId

The ID of the device where the memory copy is occurring.

uint32_t CUpti_ActivityMemcpyPtoP::dstContextId

The ID of the context owning the memory being copied to.

uint32_t CUpti_ActivityMemcpyPtoP::dstDeviceId

The ID of the device where memory is being copied to.

uint8_t CUpti_ActivityMemcpyPtoP::dstKind

The destination memory kind read by the memory copy, stored as a byte to reduce record size.

See also:
  CUpti_ActivityMemoryKind

uint64_t CUpti_ActivityMemcpyPtoP::end

The end timestamp for the memory copy, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the memory copy.

uint8_t CUpti_ActivityMemcpyPtoP::flags

The flags associated with the memory copy.

See also:
  CUpti_ActivityFlag

CUpti_ActivityKind CUpti_ActivityMemcpyPtoP::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_MEMCPY2.

uint32_t CUpti_ActivityMemcpyPtoP::pad

Undefined. Reserved for internal use.

void* CUpti_ActivityMemcpyPtoP::reserved0

Undefined. Reserved for internal use.

uint32_t CUpti_ActivityMemcpyPtoP::srcContextId

The ID of the context owning the memory being copied from.

uint32_t CUpti_ActivityMemcpyPtoP::srcDeviceId

The ID of the device where memory is being copied from.

uint8_t CUpti_ActivityMemcpyPtoP::srcKind

The source memory kind read by the memory copy, stored as a byte to reduce record size.

See also:
  CUpti_ActivityMemoryKind

uint64_t CUpti_ActivityMemcpyPtoP::start

The start timestamp for the memory copy, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the memory copy.

uint32_t CUpti_ActivityMemcpyPtoP::streamId

The ID of the stream where the memory copy is occurring.